/*
 * SearchEngineTest.java
 * JUnit based test
 *
 * Created on 6 March 2006, 16:00
 */

package lucene.demo.search;

import java.util.Iterator;
import junit.framework.*;
import org.apache.lucene.document.Document;
import org.apache.lucene.search.Hit;
import org.apache.lucene.search.Hits;

/**
 *
 * @author John
 */
public class SearchEngineTest extends TestCase {
    
    public SearchEngineTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {        
        Indexer.rebuildIndexes();
    }

    protected void tearDown() throws Exception {
    }

    public static Test suite() {
        TestSuite suite = new TestSuite(SearchEngineTest.class);
        
        return suite;
    }

     public void testPerformSearch() throws Exception {
        System.out.println("performSearch");
        SearchEngine instance = new SearchEngine(); 
        Hits hits = instance.performSearch("Notre Dame museum");

        System.out.println("Results found: " + hits.length());
        Iterator<Hit> iter =  hits.iterator();
        while(iter.hasNext()){
            Hit hit = iter.next();
            Document doc = hit.getDocument();
            System.out.println(doc.get("name")
                               + " " + doc.get("city")
                               + " (" + hit.getScore() + ")");
            
        }
        System.out.println("performSearch done");
    }
}
